## jack 1.0.0

=== DESCRIPTION ===
Package: jack
Type: Package
Title: Jack, Zonal, and Schur Polynomials
Version: 1.0.0
Date: 2019-08-24
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials, zonal polynomials, and Schur polynomials. Mainly based on Demmel & Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal polynomials and Schur polynomials are particular cases of Jack polynomials. Zonal polynomials appear in random matrix theory. Schur polynomials appear in the field of combinatorics.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: partitions, DescTools, gmp, mvp, multicool
RoxygenNote: 6.1.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2019-08-24 15:25:11 UTC; SDL96354
Repository: CRAN
Date/Publication: 2019-08-25 07:10:02 UTC
