## jack 3.0.0

=== DESCRIPTION ===
Package: jack
Type: Package
Title: Jack, Zonal, and Schur Polynomials
Version: 3.0.0
Date: 2022-02-21
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials, zonal polynomials, and Schur polynomials. Mainly based on Demmel & Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal polynomials and Schur polynomials are particular cases of Jack polynomials. Zonal polynomials appear in random matrix theory. Schur polynomials appear in the field of combinatorics.
License: GPL-3
Encoding: UTF-8
Imports: partitions, DescTools, gmp, mvp, multicool, JuliaConnectoR,
        Ryacas, gmpoly
RoxygenNote: 7.1.2
Suggests: testthat
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
NeedsCompilation: no
Packaged: 2022-03-20 04:29:45 UTC; SDL96354
Repository: CRAN
Date/Publication: 2022-03-20 04:50:02 UTC
