=== debian/changelog ===
jack (3.1.1+cvs20050801-31) unstable; urgency=medium

  * Replace obsolete url by package name when Mutagen is not installed.
    (Closes: #680780)
  * Fix documentation typos (Closes: #606960)
  * Enhance -x switch documentation (Closes: #734718)
  * Enhance --save switch documentation (Closes: #734712)

 -- Francois Mazen <francois@mzf.fr>  Fri, 05 Oct 2018 21:54:10 +0200

jack (3.1.1+cvs20050801-30) unstable; urgency=medium

  * Set Francois Mazen as Uploader.
  * Acknowledge NMUs.
  * Remove obsolete cursesmodule python binding (Closes: #898075).
  * Fix trailing whitespace in changelog.
  * Update patches to quilt (3.0).
  * Update debian/copyright to dep5 format.
  * Clean debian/rules.

 -- Francois Mazen <francois@mzf.fr>  Wed, 22 Aug 2018 22:24:35 +0200

jack (3.1.1+cvs20050801-29.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Gaetano Guerriero <x.guerriero@tin.it> to be compatible
    with eyed3 0.7.x.  Closes: #844568
  * Require python-eyed3 >= 0.7.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Jan 2017 14:36:45 +0100

jack (3.1.1+cvs20050801-29.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with dh-python instead of python-support.  Closes: #786042
  * Update watch file.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Dec 2015 17:21:11 +0000

jack (3.1.1+cvs20050801-29) unstable; urgency=low

  * debian/control (Depends): Added lame as an alternative to vorbis-tools and
    flac.

 -- Michael Banck <mbanck@debian.org>  Fri, 30 Mar 2012 16:03:15 +0200

jack (3.1.1+cvs20050801-28) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.9.3.
  * debian/rules (binary-predeb/jack): Remove README prior to package build,
    it is outdated.

 -- Michael Banck <mbanck@debian.org>  Thu, 29 Mar 2012 18:23:22 +0200

jack (3.1.1+cvs20050801-27) unstable; urgency=low

  * debian/control (Uploaders): Removed Martin Michlmayr.

 -- Michael Banck <mbanck@debian.org>  Thu, 29 Mar 2012 17:37:19 +0200

jack (3.1.1+cvs20050801-26) unstable; urgency=low

  * debian/patches/99a_correct-category-list.patch: Make sure the correct
    FreeDB categories are displayed when submitting a CD.  Thanks to
    Cédric Boutillier for the patch; closes: #536165.
  * debian/control (Depends): Add ${shlibs:Depends} (for glibc) and
    ${misc:Depends} (for debhelper).
  * debian/copyright: Update to reflect that the license is GPL 2 or
    later rather than GPL 2 only.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 10 Aug 2009 19:18:27 -1000

jack (3.1.1+cvs20050801-25) unstable; urgency=low

  * debian/patches/64_catch_id3_error.patch: eyeD3 only accepts years
    that have 4 digits.  Ignore year values that don't conform with
    this; closes: #478784

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 04 May 2008 16:44:47 +0200

jack (3.1.1+cvs20050801-24) unstable; urgency=low

  * debian/patches/63_date_unicode.patch: Deal with abbreviated months
    that contain UTF-8 in certain locales; closes: #471843.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 21 Mar 2008 16:14:53 +0100

jack (3.1.1+cvs20050801-23) unstable; urgency=medium

  * debian/patches/61_pymem_del.patch: Fix a bug in the way
    the memory API is used since this would lead to a segfault
    with Python 2.5.  Thanks Barry deFreese and Thomas Viehmann
    for the patch; closes: #468972.
  * debian/patches/69_document_freedb_dir.patch: Document
    freedb_dir since this option doesn't show up with --longhelp;
    closes: #458384.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 09 Mar 2008 11:17:14 +0100

jack (3.1.1+cvs20050801-22) unstable; urgency=low

  * debian/patches/87_use_existing_cddb_category.patch: Don't assume
    that the CDDB category is set because it doesn't have to be when
    -Q and --cont-failed-query is used.  Thanks, Stephan Balmer;
    closes: #453724.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 27 Dec 2007 19:23:55 +0100

jack (3.1.1+cvs20050801-21) unstable; urgency=low

  * debian/patches/57_feedb_asciiletters.patch: Use ASCII letters only
    when parsing Various Artist CDs rather than all letters that are
    valid in a user's locale since jack doesn't deal with the latter
    at the moment; closes: #452097.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 21 Nov 2007 20:35:23 +0100

jack (3.1.1+cvs20050801-20) unstable; urgency=low

  * debian/patches/76_remove_append_year.patch: Remove this patch since
    upstream told me --append-year option is useful after all.  This is
    at the moment the only option to add a year only when the year is
    actually known.  Split other changes of this patch out into their
    own patches.
  * debian/patches/76_mkdirname_cleanup.patch: Clean up some code but
    don't change any functionality.
  * debian/patches/82_fix_append_year_doc.patch: --append-year is not
    a boolean but accepts a string.
  * debian/patches/86_mention_year_dir_template.patch: Document that
    %y (year) can be used in dir_template.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 11 Nov 2007 11:10:56 +0100

jack (3.1.1+cvs20050801-19) unstable; urgency=low

  * debian/patches/59_assume_ok_query.patch: Tag tracks when the FreeDB
    query failed but we can parse the FreeDB file since the user might
    have edited the file manually; closes: #441270.
  * debian/patches/60_ask_edit_freedb_when_query_fails.patch: Ask users
    whether they want to edit the FreeDB data when the query fails.

  * debian/copyright: Add 2007 to the packaging copyright statement.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 27 Oct 2007 22:57:49 +0200

jack (3.1.1+cvs20050801-18) unstable; urgency=medium

  * debian/patches/06_link_ncursew.patch: Update to make sure that
    -I/usr/include/ncursesw will be passed to the compiler; closes:
    #447479.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 21 Oct 2007 15:08:50 +0200

jack (3.1.1+cvs20050801-17) unstable; urgency=medium

  * debian/control (Build-Depends): Use "libncursesw5-dev" rather
    than libncurses5-dev.


