## jack 4~git20230906.795fba0

=== debian/changelog ===
jack (4~git20230906.795fba0-2) unstable; urgency=medium

  * Bumped policy. no change.
  * Reported and provided missing manpage upstream
  * Upload to Reintroduce to testing.

 -- Cord Beermann <cord@debian.org>  Sun, 05 May 2024 16:33:31 +0200

jack (4~git20230906.795fba0-1) unstable; urgency=low

  * Python3 (closes: #953942)
  * New upstream release. (closes: #1070149)

 -- Cord Beermann <cord@debian.org>  Tue, 30 Apr 2024 23:38:36 +0200
