=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: jack
 Section: sound
 Priority: optional
-Maintainer: Michael Banck <mbanck@debian.org>
-Uploaders: Francois Mazen <francois@mzf.fr>
-Build-Depends: debhelper (>= 11), python-all-dev (>= 2.3.5-11), libncursesw5-dev, dh-python
-Standards-Version: 4.2.1
-Homepage: http://www.home.unix-ag.org/arne/jack/
+Maintainer: Cord Beermann <cord@debian.org>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools-scm, python3-pip
+Standards-Version: 4.7.0
+Homepage: https://github.com/jack-cli-cd-ripper/jack
 
 Package: jack
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-cddb, python-eyed3 (>= 0.7), python-pyvorbis (>= 0.5) | python-mutagen, cdparanoia | cdda2wav, vorbis-tools | flac | lame, sensible-utils
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-willow, vorbis-tools | flac | lame | fdkaac, cdparanoia | icedax
 Description: Rip and encode CDs with one command
  Jack has been developed with one main goal: making OGGs (or MP3s)
  without having to worry. There is nearly no way that an incomplete rip
@@ -26,7 +26,7 @@
     and archived for all tracks, so you can see if something went wrong
   - it uses sophisticated disk space management, i.e. it schedules its
     ripping/encoding processes depending on available space.
-  - freedb query, file renaming and id3/ogg-tagging
+  - freedb/gnudb/musicbrainz query, file renaming and id3/ogg-tagging
   - it can resume work after it has been interrupted. If all tracks have
     been ripped, it doesn't even need the CD anymore, even if you want
     to do a freedb query.
