## jack 4~git20241202.3410dc1

=== debian/changelog ===
jack (4~git20241202.3410dc1-1) unstable; urgency=medium

  * New upstream release
    + replaces obsolete sndhdr (closes: #1084574)
  * Updated Build-depends to pybuild-plugin-pyproject
  * fix typo in manpage

 -- Cord Beermann <cord@debian.org>  Sat, 07 Dec 2024 20:55:01 +0100
