=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools-scm, python3-pip
+Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject
 Standards-Version: 4.7.0
 Homepage: https://github.com/jack-cli-cd-ripper/jack
