=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=jack
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -S version |sed -e 's/~/+/g')

%:
	dh $@ --with=python3 --buildsystem=pybuild
