## jack 4~git20250824.24abfd5

=== debian/changelog ===
jack (4~git20250824.24abfd5-1) unstable; urgency=medium

  * New pull from git
  * Updated debian/watch to V5
  * Manpage has been adopted in Upstream

 -- Cord Beermann <cord@debian.org>  Fri, 12 Sep 2025 23:26:10 +0200

jack (4~git20241202.3410dc1-2) unstable; urgency=medium

  * added python3-setuptools-scm to Build-dependencies (closes: #1100226)
  * Bumped policy. no change.

 -- Cord Beermann <cord@debian.org>  Sun, 16 Mar 2025 22:26:17 +0100
