=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject, python3-setuptools-scm
+Standards-Version: 4.7.2
 Homepage: https://github.com/jack-cli-cd-ripper/jack
 
 Package: jack
