=== debian/watch ===
Version: 5

Source: https://github.com/jack-cli-cd-ripper/jack.git
Matching-Pattern: HEAD
Compression: xz
Mode: git
Repack: yes
Update-Script: uupdate
Git-Pretty: 4~git%cd.%h
