## jack 4~git20260104.869341b

=== debian/changelog ===
jack (4~git20260104.869341b-1) unstable; urgency=medium

  * New pull from git
    + makes musicbrainz and albumart more robust
    + updated manpage
  * Remove optional Priority and Rules-Requires-Root
  * Add debian/upstream/metadata
  * Bump Policy to 4.7.3, no change

 -- Cord Beermann <cord@debian.org>  Sun, 04 Jan 2026 17:53:01 +0100
