=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: jack
 Section: sound
-Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject, python3-setuptools-scm
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jack-cli-cd-ripper/jack
 
 Package: jack
