## jack 4.0.0

=== DESCRIPTION ===
Type: Package
Package: jack
Title: Jack, Zonal, and Schur Polynomials
Version: 4.0.0
Date: 2022-12-19
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials,
    zonal polynomials, and Schur polynomials. Mainly based on Demmel &
    Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal
    polynomials and Schur polynomials are particular cases of Jack
    polynomials. Zonal polynomials appear in random matrix theory. Schur
    polynomials appear in the field of combinatorics.
License: GPL-3
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
Imports: DescTools, gmp, JuliaConnectoR, multicool, mvp, partitions,
        qspray, Ryacas, spray
Suggests: testthat
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2022-12-19 13:39:37 UTC; stla
Repository: CRAN
Date/Publication: 2022-12-19 14:00:02 UTC
