## jack 5.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: jack
 Title: Jack, Zonal, and Schur Polynomials
-Version: 5.0.0
-Date: 2023-01-27
+Version: 5.0.1
+Date: 2023-01-30
 Author: Stéphane Laurent
 Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
 Description: Symbolic calculation and evaluation of the Jack polynomials,
@@ -14,7 +14,7 @@
 License: GPL-3
 URL: https://github.com/stla/jackR
 BugReports: https://github.com/stla/jackR/issues
-SystemRequirements: C++ 20, gmp
+SystemRequirements: C++ 17, gmp
 Imports: DescTools, gmp, JuliaConnectoR, multicool, mvp, partitions,
         qspray, Rcpp, Ryacas, spray
 LinkingTo: BH, Rcpp
@@ -22,6 +22,6 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-01-28 09:33:07 UTC; stla
+Packaged: 2023-01-30 09:01:27 UTC; stla
 Repository: CRAN
-Date/Publication: 2023-01-28 10:00:02 UTC
+Date/Publication: 2023-01-30 10:30:02 UTC
