## jack 5.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: jack
 Title: Jack, Zonal, and Schur Polynomials
-Version: 5.2.0
-Date: 2023-06-07
+Version: 5.3.0
+Date: 2023-07-04
 Author: Stéphane Laurent
 Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
 Description: Symbolic calculation and evaluation of the Jack polynomials,
@@ -15,13 +15,13 @@
 URL: https://github.com/stla/jackR
 BugReports: https://github.com/stla/jackR/issues
 SystemRequirements: C++ 17, gmp
-Imports: DescTools, gmp, JuliaConnectoR, multicool, mvp, partitions,
-        qspray, Rcpp, Ryacas, spray
+Imports: DescTools, gmp, multicool, mvp, partitions, qspray, Rcpp,
+        spray
 LinkingTo: BH, Rcpp
 Suggests: testthat
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-06-06 22:46:21 UTC; stla
+Packaged: 2023-07-04 08:07:09 UTC; SDL96354
 Repository: CRAN
-Date/Publication: 2023-06-06 23:40:02 UTC
+Date/Publication: 2023-07-04 11:30:07 UTC
