## jack 6.0.0

=== DESCRIPTION ===
Type: Package
Package: jack
Title: Jack, Zonal, and Schur Polynomials
Version: 6.0.0
Date: 2024-05-03
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials,
    zonal polynomials, and Schur polynomials. Mainly based on Demmel &
    Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal
    polynomials and Schur polynomials are particular cases of Jack
    polynomials. Zonal polynomials appear in random matrix theory. Schur
    polynomials appear in the field of combinatorics. The package can also 
    compute the skew Schur polynomials.
License: GPL-3
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
SystemRequirements: C++17, gmp, mpfr
Depends: qspray (>= 3.0.0), symbolicQspray
Imports: DescTools, gmp, multicool, mvp, partitions, Rcpp, spray, utils
LinkingTo: BH, Rcpp, qspray, RcppArmadillo, ratioOfQsprays, RcppCGAL,
        symbolicQspray
Suggests: testthat, syt
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: yes
Packaged: 2024-05-03 00:52:28 UTC; SDL96354
Repository: CRAN
Date/Publication: 2024-05-03 06:30:02 UTC
