## jack 6.1.0

=== DESCRIPTION ===
Type: Package
Package: jack
Title: Jack, Zonal, Schur, and Other Symmetric Polynomials
Version: 6.1.0
Date: 2024-07-29
Authors@R: 
    person("Stéphane", "Laurent", , "laurent_step@outlook.fr", role = c("aut", "cre"))
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Schur polynomials appear in combinatorics and zonal
    polynomials appear in random matrix theory. They are particular cases
    of Jack polynomials. This package allows to compute these polynomials
    and other symmetric multivariate polynomials: flagged Schur
    polynomials, factorial Schur polynomials, t-Schur polynomials,
    Hall-Littlewood polynomials, Macdonald polynomials, and modified
    Macdonald polynomials. In addition, it can compute the Kostka-Jack
    numbers, the Kostka-Foulkes polynomials, the Kostka-Macdonald
    polynomials, and the Hall polynomials.  Mainly based on Demmel &
    Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1> and
    Macdonald's book (1995) <doi:10.1093/oso/9780198534891.003.0001>.
License: GPL-3
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
Depends: qspray (>= 3.1.0), ratioOfQsprays (>= 1.1.0), symbolicQspray
        (>= 1.1.0)
Imports: DescTools, gmp, methods, multicool, mvp, partitions,
        RationalMatrix, Rcpp, spray, syt (>= 0.5.0), utils
Suggests: testthat
LinkingTo: BH, qspray, ratioOfQsprays, Rcpp, RcppCGAL, symbolicQspray
Encoding: UTF-8
RoxygenNote: 7.3.1
SystemRequirements: C++17, gmp, mpfr
NeedsCompilation: yes
Packaged: 2024-07-29 17:12:59 UTC; User
Author: Stéphane Laurent [aut, cre]
Repository: CRAN
Date/Publication: 2024-07-29 17:50:02 UTC
