## jack test3.2

=== Makefile ===
all:	jack_test3_nmeter jack_test3_client

jack_test3_nmeter:	jack_test3_nmeter.c
	gcc -o jack_test3_nmeter jack_test3_nmeter.c

jack_test3_client:	jack_test3_client.cpp
	g++ -o jack_test3_client jack_test3_client.cpp -ljack

clean:
	rm -vf jack_test3_nmeter jack_test3_client
