## jack test4.1

=== Makefile ===
#CFLAGS = -O2 -mfpmath=sse -msse

all:	jack_test4_nmeter jack_test4_client

jack_test4_nmeter:	jack_test4_nmeter.c
	$(CC) $(CFLAGS) -o jack_test4_nmeter jack_test4_nmeter.c

jack_test4_client:	jack_test4_client.c
	$(CC) $(CFLAGS) -o jack_test4_client jack_test4_client.c -ljack -lm

clean:
	rm -vf jack_test4_nmeter jack_test4_client
