## jack utils-0.0.1-3.src

=== source/Makefile ===
# -----------------------------------------------------------------------------
#
#  Copyright (C) 2012-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 0.0.1
CPPFLAGS += -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native
LDLIBS += -ljack -lasound -lrt


all:	jack_fpmon jack_check jack_proxy


JACK_FPMON_O =	jack_fpmon.o
jack_fpmon:	$(JACK_FPMON_O)
	$(CXX) $(LDFLAGS) -o $@ $(JACK_FPMON_O) $(LDLIBS)

JACK_CHECK_O =	jack_check.o
jack_check:	$(JACK_CHECK_O)
	$(CXX) $(LDFLAGS) -o $@ $(JACK_CHECK_O) $(LDLIBS)

JACK_PROXY_O =	jack_proxy.o
jack_proxy:	$(JACK_PROXY_O)
	$(CXX) $(LDFLAGS) -o $@ $(JACK_PROXY_O) $(LDLIBS)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 jack_fpmon $(DESTDIR)$(BINDIR)
	install -m 755 jack_check $(DESTDIR)$(BINDIR)
	install -m 755 jack_proxy $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/jack_fpmon
	rm -f $(DESTDIR)$(BINDIR)/jack_check
	rm -f $(DESTDIR)$(BINDIR)/jack_proxy


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jack_fpmon jack_check jack_proxy
